@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import "variables";
@import "mixins";

* {
  margin: 0
}

.wrapper {
  margin: 23px 28px 0 25px;
}

.header__nav-button {
  background: #0f0101;
  width: 44px;
  height: 37px;
  position: absolute;
  right: 28px;
  top: 23px;
}


.header__nav {
  display: none;
  width: 182px;
  background-color: $menu;
  position: absolute;
  right: 28px;
  top: 60px;


  & li {
    padding: 7px 0 7px 10px;
  }

  & li:hover {
    background-color: #e5e5e5
  }

  & a {
    text-decoration: none;
    color: $primary;
    font-family: Roboto, sans-serif;
    font-weight: 400;
    font-size: 11px;
    text-transform: uppercase;
    cursor: pointer;
  }
}

.show {
  display: block;
}

.header__nav-tablet {
  display: none;
}

.main__banner {
  width: 100%;
  margin-top: 53px;
}

.our-recent-posts__header {
  @include headers-of-sections
}

.our-recent-posts__items {
  display: grid;
  gap: 30px;
}

.posts__item {
  @include main__our-recent-posts-content;

  &:last-child {
    display: none;
  }
}

.our-recent-posts {
  display: block;
  margin-bottom: 39px;
}

.item-img {
  width: 160px;
  height: 140px;
}

.last-instagram-shot-header {
  @include headers-of-sections
}

.last-instagram-shot-wrapper {
  padding: 38px 28px 42px 28px;
}

.more-posts {
  display: none;
}

.last-instagram-shot-link {
  display: none;
}

.main__last-instagram-shot-images img {
  display: none;

  &:first-child {
    display: inline;
  }
}

.last-instagram-shot-photo {
  width: 301px;
  height: 301px;
}

.last-instagram-shot-images img {
  display: none;

  &:first-child {
    display: inline;
  }
}


.footer {
  background: black;
  padding-bottom: 45px;
}

.footer__title {
  @include headers-of-sections;
  color: white;
  padding-top: 38px;
  text-align: center;
  margin-top: 0;
}

.footer__paragraph {
  margin: 8px 40px 0 40px;
  color: $footer;
  font-size: 12px;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  text-align: center;
  line-height: 20px;
}

.footer__social-media {
  margin-top: 25px;
  display: flex;
  justify-content: center;
}

.footer__social-media-link {
  margin: 0 5px 0 5px;
}

.footer__address {
  @include footer__contacts;
  margin-top: 10px;
}

.footer__phone-number, .footer__email {
  @include footer__contacts
}



@media (min-width: $tablet-bp) {

  .wrapper {
    margin: 0 80px 0 80px;
  }

  .header__nav-button, .header__nav {
    display: none;
  }

  .header__nav-tablet {
    display: block;
  }

  .header__nav-tablet ul {
    display: flex;
    text-transform: uppercase;
    align-items: center;
    justify-content: space-between;
    margin: 41px 80px 43px 80px;
  }

  .header__nav-tablet a {
    text-decoration: none;
    font-size: 11px;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    color: $primary;

    &:hover {
      color: $hover;
    }
  }

  .main__banner {
    margin-top: 0;
  }


  .posts__item {
    display: grid;
    column-gap: 20px;
    justify-content: start;
    grid-template-areas: "image text"
                       "image  comm"
                       "image  description";

    &:last-child {
      display: grid;
    }

  }

  .one-post {
    display: none;
  }
  .posts__item img {
    grid-area: image;
  }

  .post-item__text {
    grid-area: text;
  }
  .post-item__description {
    grid-area: comm;
  }

  .posts__item p {
    display: block;
    grid-area: description;
  }


  .last-instagram-shot-wrapper {
    background: #f5f5f5;
    padding: 38px 92px 42px 92px;
  }

  .main__last-instagram-shot-text {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .last-instagram-shot-link {
    display: flex;
    font-size: 12px;
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    color: $primary;
    text-decoration: none;
    text-transform: uppercase;
  }

  .more-posts {
    display: inline;
  }

  .last-instagram-shot-images img {
    display: inline;
    width: 97%;
    height: 97%;

    &:last-child {
      display: none;
    }
  }

  .last-instagram-shot-photo {
    width: 250px;
    height: 249px;
  }

  .last-instagram-shot-images {
    margin-top: 30px;
    column-gap: 9px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }

  .footer {
    margin-top: 0;
  }
}

@media (min-width: $pc-bp) {
  .wrapper {
    margin: 0 215px 0 215px;
  }

  .posts__item h3 {
    margin-top: 0;
  }

  .our-recent-posts__items {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }

  .last-instagram-shot-images {
    grid-template-columns: repeat(4, 1fr);
    box-sizing: border-box;
  }

  .last-instagram-shot-images img {

    &:last-child {
      display: inline;
    }
  }
  .last-instagram-shot-wrapper {
    padding: 0 215px 50px 215px;
  }

}


